## plotmm 0.1.0

=== DESCRIPTION ===
Package: plotmm
Type: Package
Title: Tidy Tools for Visualizing Mixture Models
Version: 0.1.0
BugReports: https://github.com/pdwaggoner/plotmm/issues
Authors@R: c(person("Philip", "Waggoner", role = c("aut", "cre"), email = "philip.waggoner@gmail.com"),
             person("Fong", "Chan", role = c("aut", "ctb")),
             person("Lu", "Zhang", role = c("aut", "ctb")))
Maintainer: Philip Waggoner <philip.waggoner@gmail.com>
Description: The main function, plot_mm(), is used for plotting output from mixture models, 
    including both densities and overlaying mixture weight component curves from the fit models. In line with the
    tidyverse, the package also includes the plot_cut_point() function to visualize the cutpoint (mu) from the model
    over a histogram of the data density with several color options. Finally, the package includes the plot_mix_comps() 
    helper function, which is used for both added customization as well as in the plot_mm() function. 
    Supported model objects include: 'mixtools', 'EMCluster', and 'flexmix', with more from each forthcoming. 
    Supported mixture model specifications include mixtures of univariate Gaussians, multivariate Gaussians, Gammas, 
    logistic regressions, linear regressions, and Poisson regressions.
Imports: methods, wesanderson, amerika, ggplot2, dplyr, patchwork
Suggests: mixtools, EMCluster, flexmix, testthat, graphics
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2020-07-08 14:40:38 UTC; philipwaggoner
Author: Philip Waggoner [aut, cre],
  Fong Chan [aut, ctb],
  Lu Zhang [aut, ctb]
Repository: CRAN
Date/Publication: 2020-07-10 08:40:02 UTC

## plotmm 0.1.1

=== DESCRIPTION ===
Package: plotmm
Type: Package
Title: Tidy Tools for Visualizing Mixture Models
Version: 0.1.1
BugReports: https://github.com/pdwaggoner/plotmm/issues
Authors@R: c(person("Philip", "Waggoner", role = c("aut", "cre"), email = "philip.waggoner@gmail.com"),
             person("Fong", "Chan", role = c("aut", "ctb")),
             person("Lu", "Zhang", role = c("aut", "ctb")))
Maintainer: Philip Waggoner <philip.waggoner@gmail.com>
Description: The main function, plot_mm(), is used for (gg)plotting output from mixture models, 
    including both densities and overlaying mixture weight component curves from the fit models in line with the
    tidy principles. The package includes several additional functions for added plot customization. 
    Supported model objects include: 'mixtools', 'EMCluster', and 'flexmix', with more from each in active dev. 
    Supported mixture model specifications include mixtures of univariate Gaussians, multivariate Gaussians, Gammas, 
    logistic regressions, linear regressions, and Poisson regressions.
Imports: methods, wesanderson, amerika, ggplot2
Suggests: mixtools, EMCluster, flexmix, testthat, graphics, dplyr,
        patchwork, magrittr, knitr, rmarkdown
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.0
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2022-11-09 18:25:32 UTC; philip.waggoner
Author: Philip Waggoner [aut, cre],
  Fong Chan [aut, ctb],
  Lu Zhang [aut, ctb]
Repository: CRAN
Date/Publication: 2022-11-09 21:50:02 UTC

## plotmm 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: plotmm
 Type: Package
 Title: Tidy Tools for Visualizing Mixture Models
-Version: 0.1.1
+Version: 0.1.2
 BugReports: https://github.com/pdwaggoner/plotmm/issues
 Authors@R: c(person("Philip", "Waggoner", role = c("aut", "cre"), email = "philip.waggoner@gmail.com"),
              person("Fong", "Chan", role = c("aut", "ctb")),
@@ -13,17 +13,18 @@
     Supported model objects include: 'mixtools', 'EMCluster', and 'flexmix', with more from each in active dev. 
     Supported mixture model specifications include mixtures of univariate Gaussians, multivariate Gaussians, Gammas, 
     logistic regressions, linear regressions, and Poisson regressions.
-Imports: methods, wesanderson, amerika, ggplot2
-Suggests: mixtools, EMCluster, flexmix, testthat, graphics, dplyr,
-        patchwork, magrittr, knitr, rmarkdown
+Imports: methods, wesanderson, amerika, ggplot2, mixtools, EMCluster,
+        flexmix
+Suggests: testthat, graphics, dplyr, patchwork, survival, magrittr,
+        knitr, rmarkdown
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.2.0
+RoxygenNote: 7.3.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2022-11-09 18:25:32 UTC; philip.waggoner
+Packaged: 2025-01-08 15:53:38 UTC; philipwaggoner
 Author: Philip Waggoner [aut, cre],
   Fong Chan [aut, ctb],
   Lu Zhang [aut, ctb]
 Repository: CRAN
-Date/Publication: 2022-11-09 21:50:02 UTC
+Date/Publication: 2025-01-08 16:50:06 UTC

=== debian/changelog ===
plotmm (0.1.2-2) unstable; urgency=low

  * Introduce Multi-Arch.
  * Bump Standards.
  * Enable parallel builds.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Mon, 16 Jan 2012 19:37:34 +0100

plotmm (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #581503). 

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 21 Oct 2010 19:06:26 +0200

=== debian/control ===
Source: plotmm
Section: science
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 8.1.3~),
 autotools-dev,
 dh-autoreconf,
 libgtkmm-2.4-dev,
 libsigc++-2.0-dev,
 libtool
Build-Depends-Indep: doxygen
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/plotmm.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/plotmm.git
Homepage: http://plotmm.sourceforge.net

Package: libplotmm0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: GTKmm plot widgets for scientific applications
 This package provides an extension to the gtkmm library.
 .  
 It contains widgets which are primarily useful 
 for technical and scientifical purposes.
 Initially, this is a 2-D plotting widget.

Package: libplotmm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplotmm0 (= ${binary:Version}),
 libgtkmm-2.4-dev,
 libsigc++-2.0-dev,
 ${misc:Depends}
Recommends: libplotmm-doc
Description: Headers for developing programs that will use plotmm
 Extension to the gtkmm library.  
 It contains widgets which are primarily useful 
 for technical and scientifical purposes.
 .
 This package contains the headers that programmers will 
 need to develop applications which will use plotmm.

Package: plotmm-examples
Section: graphics
Architecture: any
Depends: ${shlibs:Depends},
 libplotmm0 (= ${binary:Version}),
 ${misc:Depends}
Description: GTKmm plot widgets - sample applications
 PlotMM provides an extension to the gtkmm library.
 .  
 It contains widgets which are primarily useful 
 for technical and scientifical purposes.
 Initially, this is a 2-D plotting widget.
 .
 This package contains PlotMM sample applications

Package: libplotmm-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libplotmm0 (= ${binary:Version}),
 plotmm-examples (= ${binary:Version}),
 ${misc:Depends}
Description: GTKmm plot widgets - debugging symbols
 This package provides an extension to the gtkmm library.
 .  
 It contains widgets which are primarily useful 
 for technical and scientifical purposes.
 Initially, this is a 2-D plotting widget.
 .
 This package provides the debugging symbols.

Package: libplotmm-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: plotmm-examples
Description: Plotmm documentation
 Extension to the gtkmm library.  
 It contains widgets which are primarily useful 
 for technical and scientifical purposes.
 .
 This package html documentation

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog README

override_dh_auto_install:
	dh_auto_install
	cd $(CURDIR)/debian/tmp/usr/bin && \
	mv curves plotmm-curves && \
	mv simple plotmm-simple

override_dh_strip:
	dh_strip --dbg-package=libplotmm-dbg

=== debian/watch ===
version=3

http://sf.net/plotmm/plotmm-([\d.]+)\.tar\.gz
